Fedora 19 Update: pypolicyd-spf-1.3.1-1.fc19

updates at fedoraproject.org updates at fedoraproject.org
Fri Sep 19 10:17:22 UTC 2014


--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2014-10335
2014-09-09 20:17:21
--------------------------------------------------------------------------------

Name        : pypolicyd-spf
Product     : Fedora 19
Version     : 1.3.1
Release     : 1.fc19
URL         : https://launchpad.net/pypolicyd-spf
Summary     : SPF Policy Server for Postfix (Python implementation)
Description :
pypolicyd-spf is a Postfix policy engine for Sender Policy Framework (SPF)
checking. It is implemented in pure Python and uses the python-spf (pyspf)
module.

This SPF policy server implementation provides flexible options for different
receiver policies and sender whitelisting to enable it to support a very wide
range of requirements.

--------------------------------------------------------------------------------
Update Information:

--- 1.3.1 (2014-06-14)
  * Fix case where, when run with python3 the policy server would choke on
    email addresses that contained non-ascii characters (LP: #1325579)

--- 1.3 (2014-05-09)
  ! Updates related to the new SPF RFC, RFC 7208
    - Added new config option, Lookup_Time, to adjust SPF record timeout limit
      (default 20 seconds per RFC 7208) Requires at least pyspf 2.0.7
    - Added new config option, Void_Limit, to enable the new void lookup limit
      instroduced in RFC 7208 to be adjusted - Default is 2 as recommended in
      RFC 7208, section 4.6.4.  Has no effect on pyspf before 2.0.9.
    - Updated documentation to refer to RFC 7208 (and RFC 7001 for
      authentication results)
    - Updated descriptions in documentation to describe spec compliance
      relative to RFC 7208 instead of RFC 4408
  * Guard against crashes when forming header field contents if the receiver
    is somehow missing
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use
su -c 'yum update pypolicyd-spf' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------


More information about the package-announce mailing list